# Wormhole Chests

![Banner Image](https://i.imgur.com/fV8R9eg.png)

## Description

You can now give chests a name / channel. All chests with the same channel will share an inventory, which allows item teleportation. You need to unlock the Tech 'Wormhole Chests' on the Science tab to unlock this feature. 

Converting a chest to a wormhole chest costs blue cores. The first one takes 100 blue cores, and each one after that costs 5% more.

To convert a chest to a wormhole chest, first, enter a channel in the channel box in the top left of the chest's GUI. Click the 'Create For 100 Cores' button to create that channel. If you enter a channel that already exists, the button will say 'Link' instead, which should help you check that you have entered the channel name correctly.

When you convert a chest to a wormhole chest, it's contents will be added to the channel's shared inventory. If there isn't enough space, the items are voided. 

When deconstructing a wormhole chest, the game will give you the items that were in that chest, but the mod will immediately remove them again, unless it was the last chest in a channel. If it was the last chest in the channel, the channel will be deleted, so the button will say 'Create' the next time you enter that channel in the box.

If the GUI is in a different location for you compared with the screenshots below, use the config settings to move it around.

## Screenshots

[An unlinked chest](https://i.imgur.com/kqtAham.png)
[A linked chest](https://i.imgur.com/hwRHjWl.png)

## Config Options

| Name                   |   Type  | Description                                                                    | Default Value |
|------------------------|:-------:|--------------------------------------------------------------------------------|:-------------:|
| Free Wormhole Chests   |  Toggle | Disables the cost of creating Wormhole Chests. Cheat, not recommended.         |     false     |
| Channel Box X Offset   | Decimal | Controls the horizontal position of the Channel box in a Chest's GUI.          |       32      |
| Channel Box Y Offset   | Decimal | Controls the vertical position of the Channel box in a Chest's GUI.            |      -355     |
| Channel Box Width      | Decimal | Controls the width of the Channel box in a Chest's GUI.                        |      240      |
| Create Button X Offset | Decimal | Controls the horizontal position of the Create / Link button in a Chest's GUI. |      444      |

&nbsp;
## Installation

### Techtonica Mod Loader Installation

You can download the Techtonica Mod Loader from [here](https://github.com/CubeSuite/TechtonicaModLoader/releases) and use that to install this mod.

### Manual Install Instructions

Note: If you are playing on Gamepass, your game version is likely behind the steam version. Please check the version compatibility chart below.

Your game folder is likely in one of these places:  
    • Steam: (A-Z):/steam/steamapps/common/Techtonica  
    • Gamepass: (A-Z):/XboxGames/Techtonica/Content  
    • Gamepass: Could also be in C:/Program Data/WindowsApps  

1. Download BepInEx v5.4.21 from [here](https://github.com/BepInEx/BepInEx/releases)
1. Follow the installation instructions [here](https://docs.bepinex.dev/articles/user_guide/installation/index.html)
1. Download and install any dependencies.
1. Extract the contents of the .zip file for this mod.
1. Drag the "BepInEx" folder into your game folder.
1. Change config options. 

## Version Compatibility

|  Mod Version  |  Game Version  |
|:-------------:|:--------------:|
|     v1.x.x    |     v0.3.0e    |

## Changelog

### V1.0.0

Initial release.

&nbsp;
## Disclaimer

Note: NEW Games must be loaded, saved, and reloaded for mods to take effect. Existing saves will auto-apply mods. 
Please be sure to backup your saves before using mods: AppData\LocalLow\Fire Hose Games\Techtonica 
USE AT YOUR OWN RISK! Techtonica Devs do not provide support for Mods, and cannot recover saves damaged by mod usage.

Some assets may come from Techtonica or from the website created and owned by Fire Hose Games, who hold the copyright of Techtonica. All trademarks and registered trademarks present in any images are proprietary to Fire Hose Games.
